#!/usr/bin/php
<?php
$NETWORK_CONF = '/usr/local/gesa//public_html/data/network.conf.json';
if( is_file($NETWORK_CONF))
{
	$conf = file_get_contents($NETWORK_CONF);
	$conf = json_decode($conf,true);
}

$parsed = array();
if( is_array($conf))
{
	foreach($conf as $key => $value)
	{
		$retRow = $value;
		if( $key == 'mgmt' )
		{
			$role = 'mgmt';
		}
		else
		{
			$role = 'scan';
		}
		$retRow['role'] = $role;
		$parsed[$value['name']] = $retRow;
	}
}

$ifaces_addr = exec("ip -j address show");

$ifaces_addr_arr = json_decode($ifaces_addr,TRUE);

$ret = array();
foreach($ifaces_addr_arr as $value)
{
	$retRow = $value;
	$confdata = array();
	if( isset($parsed[$value['ifname']]))
	{
		$conf_iface = $parsed[$value['ifname']];
		$confdata['ip_addr'] = $conf_iface['ip_addr'] . '/'. $conf_iface['netmask'];
		$confdata['role'] = $conf_iface['role'];
	}
	$retRow['conf'] = $confdata;
	$ret[]=$retRow;
}
echo json_encode($ret);
exit(0);
